org.apache.hc.core5.http2.ssl

## Enum ApplicationProtocol

- java.lang.Object
- - java.lang.Enum<ApplicationProtocol>
  - - org.apache.hc.core5.http2.ssl.ApplicationProtocol

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationProtocol>

      public enum ApplicationProtocol
      extends Enum<ApplicationProtocol>

  Supported application protocols.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP_1_1` The HTTP/1.1 application protocol.
    `HTTP_2` The HTTP/2 application protocol.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `id` The application protocol ID.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ApplicationProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_2

          public static final ApplicationProtocol HTTP_2

      The HTTP/2 application protocol.

    - #### HTTP_1_1

          public static final ApplicationProtocol HTTP_1_1

      The HTTP/1.1 application protocol.

  - ### Field Detail

    - #### id

          public final String id

      The application protocol ID.

  - ### Method Detail

    - #### values

          public static ApplicationProtocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationProtocol c : ApplicationProtocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationProtocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApplicationProtocol>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.